Bug 507423 - CTRL-c doesn't quit. Starting xmp again makes it continue from where it previously stopped
CTRL-c doesn't quit. Starting xmp again makes it continue from where it previ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: xmp (Show other bugs)
11
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Dominik 'Rathann' Mierzejewski
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-06-22 13:54 EDT by Amadeus
Modified: 2009-09-24 01:22 EDT (History)
3 users (show)

See Also:
Fixed In Version: 2.7.1-1.fc10
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-09-24 01:14:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
An example of a song that can be used to tricker the bug (45.40 KB, application/octet-stream)
2009-06-22 13:54 EDT, Amadeus
no flags Details

  None (edit)
Description Amadeus 2009-06-22 13:54:14 EDT
Created attachment 348953 [details]
An example of a song that can be used to tricker the bug

Description of problem:
Playing a song, and the CTRL-c to quit doesn't really quit the program. Starting xmp again with the same song makes it to continue from where it was last quit.

Starting and stopping xmp many times crashes the terminal.


How reproducible:
Everytime.


Steps to Reproduce:
1. xmp -d alsa songname
2. CTRL-c
3. xmp -d alsa songname

  
Actual results:
Continues from where it last exited.


Expected results:
Song should start over


Additional info:
Doesn't really have to be with "-d alsa" it does the same with OSS.
Comment 1 Michael Schwendt 2009-07-31 12:17:05 EDT
* Not reproducible with i686. Might be specific to x86_64.

* Which "terminal" do you use?

* xmp in Fedora 11 is quite old compared with upstream.
Comment 2 Amadeus 2009-07-31 13:51:01 EDT
MPlayer does the same, so I have now a feeling that it is related to bug #462026
Comment 3 Dominik 'Rathann' Mierzejewski 2009-09-14 11:39:27 EDT
Not reproducible on x86_64 as well, but I will update xmp to latest upstream release soon.
Comment 4 Fedora Update System 2009-09-14 19:51:21 EDT
xmp-2.7.1-1.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/xmp-2.7.1-1.fc11
Comment 5 Fedora Update System 2009-09-14 19:58:53 EDT
xmp-2.7.1-1.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/xmp-2.7.1-1.fc10
Comment 6 Fedora Update System 2009-09-16 16:33:39 EDT
xmp-2.7.1-1.fc10 has been pushed to the Fedora 10 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xmp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F10/FEDORA-2009-9671
Comment 7 Fedora Update System 2009-09-16 16:34:09 EDT
xmp-2.7.1-1.fc11 has been pushed to the Fedora 11 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update xmp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F11/FEDORA-2009-9675
Comment 8 Fedora Update System 2009-09-24 01:14:37 EDT
xmp-2.7.1-1.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2009-09-24 01:22:18 EDT
xmp-2.7.1-1.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.